package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GgSignContractReportFacadeFactory
{
    private GgSignContractReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IGgSignContractReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgSignContractReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E332A5DB") ,com.kingdee.eas.custom.gggl.IGgSignContractReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IGgSignContractReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgSignContractReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E332A5DB") ,com.kingdee.eas.custom.gggl.IGgSignContractReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IGgSignContractReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgSignContractReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E332A5DB"));
    }
    public static com.kingdee.eas.custom.gggl.IGgSignContractReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgSignContractReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E332A5DB"));
    }
}